> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Unit

> Suggest units of measurement.



## OpenAPI

````yaml post /ai/inventory/unit
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /ai/inventory/unit:
    post:
      tags:
        - provider
        - ai
      summary: Generate Unit
      description: Suggest units of measurement.
      operationId: generate_unit_ai_inventory_unit_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnitRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UnitRequest:
      properties:
        modelName:
          type: string
          title: Modelname
          description: Model to use for generation
          default: gemini-2.5-flash
        useStructuredOutput:
          type: boolean
          title: Usestructuredoutput
          description: Whether to request structured JSON output
          default: false
        previousGeneration:
          anyOf:
            - type: string
            - type: 'null'
          title: Previousgeneration
          description: Previous generated text for context
        feedback:
          anyOf:
            - type: string
            - type: 'null'
          title: Feedback
          description: User feedback for regeneration
        name:
          type: string
          title: Name
          description: Name of the item
        itemType:
          $ref: '#/components/schemas/ItemType'
          description: Type of item
        availableUnits:
          items:
            type: string
          type: array
          title: Availableunits
          description: List of available unit names
        brandName:
          anyOf:
            - type: string
            - type: 'null'
          title: Brandname
          description: Optional brand name
        currentDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Currentdescription
          description: Current description
      type: object
      required:
        - name
        - itemType
        - availableUnits
      title: UnitRequest
      description: Request schema for suggesting units.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ItemType:
      type: string
      enum:
        - ITEM
        - PRODUCT
        - MEDICATION
        - SERVICE
        - PACKAGE
        - MEMBERSHIP
      title: ItemType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````